Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1098625 - Review Request: php-pear-text-wiki - Transforms Wiki and BBCode markup into XHTML, LaTeX or plain text
Review Request: php-pear-text-wiki - Transforms Wiki and BBCode markup into X...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1087769
  Show dependency treegraph
 
Reported: 2014-05-16 13:55 EDT by Remi Collet
Modified: 2014-06-16 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-pear-text-wiki-1.2.1-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 07:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-05-16 13:55:49 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/c53dbf8f02c892c16c750b03caa19e9b3c1af54b/php/pear/php-pear-Text-Wiki/php-pear-Text-Wiki.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-Text-Wiki-1.2.1-2.remi.src.rpm
Description: 
Transforms Wiki and BBCode markup into XHTML, LaTeX or plain text markup. 
This is the base engine for all of the Text_Wiki sub-classes

The text transformation is done in 2 steps.
The chosen parser uses markup rules to tokenize the tags and content.
Renderers output the tokens and text into the requested format.
The tokenized form replaces the tags by a protected byte value associated
to an index in an options table. This form shares up to 50 rules by all
parsers and renderers.

The package is intented for versatile transformers as well as converters.
Text_Wiki is delivered with its own parser, which is used by Yawiki or
Horde's Wicked and three basic renderers: XHTML , LaTeX and plain text.
Strong sanitizing of XHTML is default.

Parsers and Renderers exist for BBCode, Cowiki, Dokuwiki, Mediawiki
and Tikiwiki.

It is highly configurable and can be easily extended.

Fedora Account System Username: remi


--
Dependency of horde.
EPEL-5 targeted.
Comment 1 Pavel Alexeev 2014-05-16 16:09:44 EDT
1)
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "PHP (v2.0)", "Unknown or generated". 181 files have unknown license.
     Detailed output of licensecheck in /home/pasha/SOFT/Review/php-pear-Text-
     Wiki/1098625-php-pear-Text-Wiki/licensecheck.txt

File Text/Wiki/Render/Latex/Prefilter.php have statements about LGPL and PHP licenses. Need clarification.
2)
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/pear/Text(php-phpunit-Text-Template)


Otherwise seams fine.
Comment 2 Pavel Alexeev 2014-05-16 16:10:06 EDT
Formal review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

Inclusion requested: https://pear.php.net/bugs/20274 missing License file
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "PHP (v2.0)", "Unknown or generated". 181 files have unknown license.
     Detailed output of licensecheck in /home/pasha/SOFT/Review/php-pear-Text-
     Wiki/1098625-php-pear-Text-Wiki/licensecheck.txt

File Text/Wiki/Render/Latex/Prefilter.php have statements about LGPL and PHP licenses. Need clarification.

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/pear/Text(php-phpunit-Text-Template)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
EL-5 targeted
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
EL-5 targeted
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

Requested. See before.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: php-pear-Text-Wiki-1.2.1-2.fc21.noarch.rpm
          php-pear-Text-Wiki-1.2.1-2.fc21.src.rpm
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US tokenize -> tokenism
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US Renderers -> Renders, Surrender, Render
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US tokenized -> tokenism
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US renderers -> renders, surrender, render
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US intented -> intended, indented, invented
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US Parsers -> Parser, Parses, Parers
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US tokenize -> tokenism
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US Renderers -> Renders, Surrender, Render
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US tokenized -> tokenism
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US renderers -> renders, surrender, render
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US intented -> intended, indented, invented
php-pear-Text-Wiki.src: W: spelling-error %description -l en_US Parsers -> Parser, Parses, Parers
2 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-pear-Text-Wiki
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US tokenize -> tokenism
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US Renderers -> Renders, Surrender, Render
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US tokenized -> tokenism
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US renderers -> renders, surrender, render
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US intented -> intended, indented, invented
php-pear-Text-Wiki.noarch: W: spelling-error %description -l en_US Parsers -> Parser, Parses, Parers
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-pear-Text-Wiki (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    php-pcre
    php-pear(PEAR)



Provides
--------
php-pear-Text-Wiki:
    php-pear(Text_Wiki)
    php-pear-Text-Wiki



Source checksums
----------------
http://pear.php.net/get/Text_Wiki-1.2.1.tgz :
  CHECKSUM(SHA256) this package     : 88f68d4623c42c53594c0dcb93057185ac6109f8e2c506dda82115de9ef77694
  CHECKSUM(SHA256) upstream package : 88f68d4623c42c53594c0dcb93057185ac6109f8e2c506dda82115de9ef77694


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1098625
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Remi Collet 2014-05-17 01:51:14 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #1)
> 1)
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "PHP (v2.0)", "Unknown or generated". 181 files have unknown license.
>      Detailed output of licensecheck in
> /home/pasha/SOFT/Review/php-pear-Text-
>      Wiki/1098625-php-pear-Text-Wiki/licensecheck.txt
> 
> File Text/Wiki/Render/Latex/Prefilter.php have statements about LGPL and PHP
> licenses. Need clarification.

It will be very hard to get some fix for this package which is tag as "unmaintained" upstream.

Despite... I have tried to ping pear QA about this.

Digging in the git history.
Reported long time ago as https://pear.php.net/bugs/12580
See https://github.com/pear/Text_Wiki/commit/21ce607014ae3445147be2e52ceacdca0ca7b503

So this seems a copy/paste/cleanup minor error.
So I think correct License is really LGPLv2.

But we can wait a little for upstream feedback if you prefer.

> 2)
> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by:
> /usr/share/pear/Text(php-phpunit-Text-Template)

php-phpunit-Text-Template is not required, so this is ok.
Also notice that Text_Template have now moved to /usr/share/php  (in rawhide).
Comment 4 Pavel Alexeev 2014-05-18 09:53:15 EDT
(In reply to Remi Collet from comment #3)
> (In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #1)
> > 1)
> > [!]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses found:
> >      "PHP (v2.0)", "Unknown or generated". 181 files have unknown license.
> >      Detailed output of licensecheck in
> > /home/pasha/SOFT/Review/php-pear-Text-
> >      Wiki/1098625-php-pear-Text-Wiki/licensecheck.txt
> > 
> > File Text/Wiki/Render/Latex/Prefilter.php have statements about LGPL and PHP
> > licenses. Need clarification.
> 
> It will be very hard to get some fix for this package which is tag as
> "unmaintained" upstream.
> 
> Despite... I have tried to ping pear QA about this.
> 
> Digging in the git history.
> Reported long time ago as https://pear.php.net/bugs/12580
> See
> https://github.com/pear/Text_Wiki/commit/
> 21ce607014ae3445147be2e52ceacdca0ca7b503
> 
> So this seems a copy/paste/cleanup minor error.
> So I think correct License is really LGPLv2.
> 
> But we can wait a little for upstream feedback if you prefer.

It really seems as error. Meantime we should wait answer or may fire Legal flag now.

> > 2)
> > [!]: Package does not own files or directories owned by other packages.
> >      Note: Dirs in package are owned also by:
> > /usr/share/pear/Text(php-phpunit-Text-Template)
> 
> php-phpunit-Text-Template is not required, so this is ok.
No, it is not ok. Then it should be used for directory presence, item:
[x]: Package requires other packages for directories it uses.
i have marked as Ok, but we can look at it in that angle.

> Also notice that Text_Template have now moved to /usr/share/php  (in
> rawhide).
Do you target your package only for rawhide?
Comment 5 Remi Collet 2014-05-18 11:41:41 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #4)
> > So this seems a copy/paste/cleanup minor error.
> > So I think correct License is really LGPLv2.
> > 
> > But we can wait a little for upstream feedback if you prefer.

https://github.com/pear/Text_Wiki/pull/2

This PR fix the need for clarification.

> 
> It really seems as error. Meantime we should wait answer or may fire Legal
> flag now.
> 
> > > 2)
> > > [!]: Package does not own files or directories owned by other packages.
> > >      Note: Dirs in package are owned also by:
> > > /usr/share/pear/Text(php-phpunit-Text-Template)
> > 
> > php-phpunit-Text-Template is not required, so this is ok.
> No, it is not ok. Then it should be used for directory presence, item:
> [x]: Package requires other packages for directories it uses.
> i have marked as Ok, but we can look at it in that angle.
> 
> > Also notice that Text_Template have now moved to /usr/share/php  (in
> > rawhide).
> Do you target your package only for rawhide?

No, also stable branch.

Guidelines seems clear.

"MUST: A package must own all directories that it creates."

=> So it owns /usr/share/php/Text

"If it does not create a directory that it uses, then it should require a package which does create that directory."

=> It creates it.

"MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time."

=> This package can be install alone, no need of Text_Template, so need to create and own this directory
=> Text_Template can be install alone, no need of this package, so need to create and own this directory

So both have to create and own this folder.
Look at  /usr/share/pear/Net, this is quite common.
Comment 6 Pavel Alexeev 2014-05-18 12:31:14 EDT
Reason looks good for me. So, if you "feel that you have a good reason to own a file or directory that another package owns" and guidelines give us such possibility - let it be.

Only license issue left for consideration then.
Comment 8 Pavel Alexeev 2014-05-28 12:56:22 EDT
Great.

PACKAGE APPROVED.
Comment 9 Remi Collet 2014-05-29 12:41:41 EDT
Thanks !

New Package SCM Request
=======================
Package Name: php-pear-text-wiki
Short Description: Transforms Wiki and BBCode markup into XHTML, LaTeX or plain text
Upstream URL: http://pear.php.net/package/Text_Wiki
Owners: remi
Branches: f19 f20 el5 el6 epel7
InitialCC:
Comment 10 Gwyn Ciesla 2014-05-29 13:21:53 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-05-30 07:10:25 EDT
php-pear-text-wiki-1.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-text-wiki-1.2.1-3.el5
Comment 12 Fedora Update System 2014-05-30 07:10:34 EDT
php-pear-text-wiki-1.2.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-text-wiki-1.2.1-3.el6
Comment 13 Fedora Update System 2014-05-30 07:10:43 EDT
php-pear-text-wiki-1.2.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pear-text-wiki-1.2.1-3.fc19
Comment 14 Fedora Update System 2014-05-30 07:10:52 EDT
php-pear-text-wiki-1.2.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pear-text-wiki-1.2.1-3.fc20
Comment 15 Fedora Update System 2014-06-09 22:58:55 EDT
php-pear-text-wiki-1.2.1-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2014-06-09 23:05:59 EDT
php-pear-text-wiki-1.2.1-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Fedora Update System 2014-06-16 12:31:36 EDT
php-pear-text-wiki-1.2.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2014-06-16 12:32:20 EDT
php-pear-text-wiki-1.2.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.